Update Hash Settings
update stream hash setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/hash" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"hashrestream": "N",
"extension": ".mp4",
"key": "mysecretkey"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/hash"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"hashrestream": "N",
"extension": ".mp4",
"key": "mysecretkey"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/hash", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"hashrestream": "N",
"extension": ".mp4",
"key": "mysecretkey"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"hashrestream": "N",
"extension": ".mp4",
"key": "mysecretkey"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/hash", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/hash')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"hashrestream": "N",
"extension": ".mp4",
"key": "mysecretkey"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/hash
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable hash stream. Y means enabled, N means disabled.
Values can be Y or N. Set to Y if hash restream should be enabled. Set to N if hash restream should not be enabled.
Stream extension value should be .sdp or .mp4
Use Hash Salt to change the stream hex instantly
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Values can be Y or N. Set to Y if hash restream should be enabled. Set to N if hash restream should not be enabled.
NResponses
Status of the API response.
Human-readable message describing the result.